Subject: [p2p-sip] I-D: An Architecture for P2P SIP

From: eunsoo at research.panasonic.com (Eunsoo Shim)
Date: Tue, 07 Mar 2006 14:41:15 -0500

I think the draft does not provide enough details about the use of the 
user location record.
Actually it was not out intention to propose protocol details by this 
draft. We intended to propose a possible architecture, describe how the 
system will work with the architecture, and show what specifications we 
need. Once the group has a consensus on those, detailed specifications 
can be worked out more easily.

You pointed out one of many that were not elaborated in enough details 
in the draft.

We don't assume clock synchronization among peers.
The timestamp is just for identifying which record is more fresh (or 
up-to-date) when multiple records, conflicting each other, are discovered.
It can be considered as a version number. So the timestampe could be the 
system time of the peer that generated the record or a number 
incremented at every update of the record.

Thanks.

Eunsoo

BAILLY Marc RD-CORE-LAN wrote:

>Hi Eunsoo,
>
>In section 8, regarding the storage of ressource records for SIP, you include a timestamp and a lifetime. I agree that these information are needed. 
>It is not mentioned in the draft on what is based this timestamp. If this timestamp is based on the node clock, it requires that this clock is correct : if possible shifts in nodes clocks are not taken into account, I think we will have bad behaviors in the management of records in DHT.
>Maybe it could be interesting to mention this point in your draft.
>
>Marc
>
>  
>
>>-----Message d'origine-----
>>De : p2p-sip-bounces at cs.columbia.edu 
>>[mailto:p2p-sip-bounces at cs.columbia.edu] De la part de Eunsoo Shim
>>Envoy? : mardi 28 f?vrier 2006 00:22
>>? : P2P-SIP
>>Objet : [p2p-sip] I-D: An Architecture for P2P SIP
>>
>>We submitted an I-D that describes an architecture for P2P SIP.
>>You can get it from the link below until it appears in the IETF I-D 
>>directory.
>>We hope this draft can help the architecture and charter 
>>discussion in BOF.
>>Your comments will be appreciated.
>>Thanks.
>>
>>Eunsoo
>>
>>http://www.comet.columbia.edu/~eunsoo/ietf/draft-shim-sipping-
>>p2p-arch-00.txt
>>
>>Abstract
>>
>>   This document describes an architecture for peer-to-peer 
>>SIP systems
>>   in which a separate and independent peer-to-peer overlay layer
>>   provides a distributed resource placement and search 
>>service for SIP.
>>   It also aims to help identify what should be specified for
>>   interoperation.
>>
>>
>>
>>
>>
>>_______________________________________________
>>p2p-sip mailing list
>>p2p-sip at cs.columbia.edu
>>https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
>>
>>    
>>